Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	media player
Name:		exaile
Version:	0.2.11.1
Release:	1
License:	GNU/GPL
URL:		http://www.exaile.org
Group:		Multimedia
Source0:	http://www.exaile.org/files/exaile_%{version}.tar.gz
Patch0:		exaile-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python
Requires:	gstreamer10
Requires:	gst-python mutagen pysqlite2
BuildRequires:	PyGTK-devel gtk2+-devel 

%define gre_conf %{_sysconfdir}/gre.d/gre.conf
%define firefox_lib %(pkg-config --variable=libdir firefox-gtkmozembed)

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for GTK+.
It incorporates many of the cool things from AmaroK (and other media players)
like automatic fetching of album art, handling of large libraries, lyrics
fetching, artist/album information via the wikipedia, last.fm support, optional
iPod support (assuming you have python-gpod installed).

In addition, Exaile also includes a built in shoutcast directory browser,
tabbed playlists (so you can have more than one playlist open at a time),
blacklisting of tracks (so they don't get scanned into your library),
downloading of guitar tablature from fretplay.com, and submitting played tracks
on your iPod to last.fm


%prep
%setup -q -n %{name}_%{version}
%patch0 -p0 -b .fix

# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i plugins/*.py xl/plugins/*.py xl/*.py exaile.py

%build
make #%{?_smp_mflags}
 
%install
rm -rf %{buildroot}

make install PREFIX=%{_prefix} LIBDIR=%{_libdir} FIREFOX=%{firefox_lib} DESTDIR=%{buildroot}

chmod 755 %{buildroot}%{_bindir}/exaile

chmod 755 %{buildroot}%{_libdir}/exaile/mmkeys.so

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc changelog COPYING TODO
%{_bindir}/exaile
%{_libdir}/exaile/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/exaile.png
%{_datadir}/exaile/
%{_mandir}/man1/exaile*.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.11.1-1
- Version update
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.11-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.10-1
- Version update
* Mon May 14 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.9-2
- added missing dependencies
* Sun May 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.9-1
- Version update
* Tue Sep 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2-1
- Initial Release
